<!DOCTYPE html>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>

<html>
	<head>
		<title>${Item.name}</title>
		<link rel="stylesheet" type="text/css" href="${pageContext.servletContext.contextPath}/inventory.css" />
	</head>

	<body>
		<c:if test="${empty action or action == 'view'}">
			<h1>Item details</h1>
			<table>
				<tr>
					<th>Name</th>
					<th>Quantity</th>
					<th>Operations</th>
				</tr>
				<tr>
					<td>${Item.name}</td>
					<td>${Item.quantity}</td>
					<td>
						<a href="${pageContext.servletContext.contextPath}/inventory/${Item.name}?action=edit">Edit</a>
					</td>
			</tr>
			</table>
		</c:if>
		
		<!-- TODO: UIs for other actions (edit, add, delete) -->
		
		<c:if test="${! empty result}">
			<div class="result">${result}</div>
		</c:if>
		
		<div class="link"><a href="${pageContext.servletContext.contextPath}/inventory">Back to inventory</a></div>
	</body>
</html>